VFS_STREAMS_XATTR(8)

NAME
vfs_streams_xattr - Store alternate data streams in posix xattrs

SYNOPSIS

vfs objects = streams_xattr

DESCRIPTION

This VFS module is part of the samba(7) suite.

The vfs_streams_xattr enables storing of NTFS alternate data streams in the file system. As a normal posix file system does not support the concept of multiple data streams per file, the streams_xattr module stores the data in posix extended attributes (xattrs). The name of these attributes by default is user.DosStream."ADS-NAME". The prefix "user.DosStream." can be changed with the module option streams_xattr:prefix, but be aware that this will also expose those ADS over the SMB extended attributes interface.

The file system that is shared with this module enabled must support xattrs.

Please note that most file systems have severe limitations on the size of xattrs. So this module might work for applications like IE that stores small zone information in streams but will fail for applications that store serious amounts of data in ADSs.

OPTIONS

streams_xattr:prefix = STRING
    Name prefix used when storing an ADS in an xattr, defaults to user.DosStream.. Changing this will also expose ADS over the SMB extended attributes interface.

streams_xattr:store_stream_type = [yes|no]
    Whether the xattr names for Alternate Data Streams of type "$DATA" are suffixed by the stream type string ":$DATA". The default is yes.

EXAMPLES

            [share]
    	vfs objects = streams_xattr

AUTHOR

The original Samba software and related utilities were created by Andrew Tridgell. Samba is now developed by the Samba Team as an Open Source project similar to the way the Linux kernel is developed.